Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1219807 - Review Request: python-appdirs - Python module for determining platform-specific directories
Summary: Review Request: python-appdirs - Python module for determining platform-speci...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 991294 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW 1219815 1247177
TreeView+ depends on / blocked
 
Reported: 2015-05-08 10:45 UTC by Igor Gnatenko
Modified: 2015-08-26 17:50 UTC (History)
4 users (show)

Fixed In Version: 1.4.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-26 17:50:01 UTC
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-05-08 10:45:00 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/pyopencl/python-appdirs.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/pyopencl/python-appdirs-1.4.0-1.fc23.src.rpm
Description: A small Python module for determining appropriate " + "platform-specific dirs, e.g. a "user data dir".
Fedora Account System Username: ignatenkobrain

Comment 1 Antonio Trande 2015-05-14 15:55:38 UTC
Hi Igor.

Review swap?
https://bugzilla.redhat.com/show_bug.cgi?id=1215354

Comment 2 Igor Gnatenko 2015-05-14 17:38:36 UTC
(In reply to Antonio Trande from comment #1)
> Hi Igor.
> 
> Review swap?
> https://bugzilla.redhat.com/show_bug.cgi?id=1215354

Yes.

Comment 3 Antonio Trande 2015-05-14 18:21:38 UTC
- Please use python2-devel instead of python-devel
- This software provides tests. Why are they not performed?
- Fix 'non-executable-script' errors from rpmlint
- I would include CHANGES.rst file too.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/sagitter/1219807-python-
     appdirs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-appdirs
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-appdirs-1.4.0-1.fc23.noarch.rpm
          python3-appdirs-1.4.0-1.fc23.noarch.rpm
          python-appdirs-1.4.0-1.fc23.src.rpm
python-appdirs.noarch: W: spelling-error Summary(en_US) dirs -> rids, sirs, firs
python-appdirs.noarch: W: spelling-error %description -l en_US dirs -> rids, sirs, firs
python-appdirs.noarch: W: spelling-error %description -l en_US dir -> deer, rid, Dir
python-appdirs.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/appdirs.py 0644L /usr/bin/env
python3-appdirs.noarch: W: spelling-error Summary(en_US) dirs -> rids, sirs, firs
python3-appdirs.noarch: W: spelling-error %description -l en_US dirs -> rids, sirs, firs
python3-appdirs.noarch: W: spelling-error %description -l en_US dir -> deer, rid, Dir
python3-appdirs.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/appdirs.py 0644L /usr/bin/env
python-appdirs.src: W: spelling-error Summary(en_US) dirs -> rids, sirs, firs
python-appdirs.src: W: spelling-error %description -l en_US dirs -> rids, sirs, firs
python-appdirs.src: W: spelling-error %description -l en_US dir -> deer, rid, Dir
3 packages and 0 specfiles checked; 2 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
python3-appdirs.noarch: W: spelling-error Summary(en_US) dirs -> rids, sirs, firs
python3-appdirs.noarch: W: spelling-error %description -l en_US dirs -> rids, sirs, firs
python3-appdirs.noarch: W: spelling-error %description -l en_US dir -> deer, rid, Dir
python3-appdirs.noarch: E: non-executable-script /usr/lib/python3.4/site-packages/appdirs.py 0644L /usr/bin/env
python-appdirs.noarch: W: spelling-error Summary(en_US) dirs -> rids, sirs, firs
python-appdirs.noarch: W: spelling-error %description -l en_US dirs -> rids, sirs, firs
python-appdirs.noarch: W: spelling-error %description -l en_US dir -> deer, rid, Dir
python-appdirs.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/appdirs.py 0644L /usr/bin/env
2 packages and 0 specfiles checked; 2 errors, 6 warnings.



Requires
--------
python3-appdirs (rpmlib, GLIBC filtered):
    python(abi)

python-appdirs (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-appdirs:
    python3-appdirs

python-appdirs:
    python-appdirs



Source checksums
----------------
https://pypi.python.org/packages/source/a/appdirs/appdirs-1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 8fc245efb4387a4e3e0ac8ebcc704582df7d72ff6a42a53f5600bbb18fdaadc5
  CHECKSUM(SHA256) upstream package : 8fc245efb4387a4e3e0ac8ebcc704582df7d72ff6a42a53f5600bbb18fdaadc5


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1219807
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Parag AN(पराग) 2015-07-27 13:44:19 UTC
*** Bug 991294 has been marked as a duplicate of this bug. ***

Comment 5 Igor Gnatenko 2015-07-27 14:33:34 UTC
(In reply to Antonio Trande from comment #3)
> - Please use python2-devel instead of python-devel
> - This software provides tests. Why are they not performed?
> - Fix 'non-executable-script' errors from rpmlint
> - I would include CHANGES.rst file too.

Fixed.

New SPEC: https://ignatenkobrain.fedorapeople.org/for-review/pyopencl/python-appdirs.spec
New SRPM: https://ignatenkobrain.fedorapeople.org/for-review/pyopencl/python-appdirs-1.4.0-2.fc24.src.rpm

Comment 6 Parag AN(पराग) 2015-07-27 15:40:03 UTC
Hi Antonio,
  Can you please finish this review as it become important requirement for one of my package which need to be added in rawhide? 

If you are busy I can takeover the review and finish this.

Comment 7 Antonio Trande 2015-07-27 16:26:04 UTC
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-appdirs
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python-appdirs-1.4.0-2.fc23.noarch.rpm
          python3-appdirs-1.4.0-2.fc23.noarch.rpm
          python-appdirs-1.4.0-2.fc23.src.rpm
python-appdirs.noarch: W: spelling-error Summary(en_US) dirs -> rids, sirs, firs
python-appdirs.noarch: W: spelling-error %description -l en_US dirs -> rids, sirs, firs
python-appdirs.noarch: W: spelling-error %description -l en_US dir -> deer, rid, Dir
python3-appdirs.noarch: W: spelling-error Summary(en_US) dirs -> rids, sirs, firs
python3-appdirs.noarch: W: spelling-error %description -l en_US dirs -> rids, sirs, firs
python3-appdirs.noarch: W: spelling-error %description -l en_US dir -> deer, rid, Dir
python-appdirs.src: W: spelling-error Summary(en_US) dirs -> rids, sirs, firs
python-appdirs.src: W: spelling-error %description -l en_US dirs -> rids, sirs, firs
python-appdirs.src: W: spelling-error %description -l en_US dir -> deer, rid, Dir
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/sagitter/1219807-python-appdirs/srpm/python-appdirs.spec	2015-07-27 17:53:58.243913562 +0200
+++ /home/sagitter/1219807-python-appdirs/srpm-unpacked/python-appdirs.spec	2015-07-27 15:53:42.000000000 +0200
@@ -5,5 +5,5 @@
 Version:       1.4.0
 Release:       2%{?dist}
-Summary:       Python module for determining platform-specific directories
+Summary:       Python module for determining platform-specific dirs
 
 License:       MIT
@@ -20,11 +20,11 @@
 %if %{with python3}
 %package -n python3-%{modname}
-Summary:       Python 3 module for determining platform-specific directoriess
+Summary:       Python 3 module for determining platform-specific dirs
 
 BuildRequires:  python3-devel python3-setuptools
 
 %description -n python3-%{modname}
-A small Python 3 module for determining appropriate " + " platform-specific
-directories, e.g. a "user data dir".
+A small Python 3 module for determining appropriate " + "platform-specific dirs,
+e.g. a "user data dir".
 %endif
 


Requires
--------
python3-appdirs (rpmlib, GLIBC filtered):
    python(abi)

python-appdirs (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-appdirs:
    python3-appdirs

python-appdirs:
    python-appdirs



Source checksums
----------------
https://pypi.python.org/packages/source/a/appdirs/appdirs-1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 8fc245efb4387a4e3e0ac8ebcc704582df7d72ff6a42a53f5600bbb18fdaadc5
  CHECKSUM(SHA256) upstream package : 8fc245efb4387a4e3e0ac8ebcc704582df7d72ff6a42a53f5600bbb18fdaadc5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1219807
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Igor Gnatenko 2015-07-27 17:58:31 UTC
Fixed issue, something was wrong with fedorapeople.

Comment 9 Antonio Trande 2015-07-27 18:01:21 UTC
Package approved.

Comment 10 Igor Gnatenko 2015-07-27 18:29:18 UTC
New Package SCM Request
=======================
Package Name: python-appdirs
Short Description: Python module for determining platform-specific directories
Upstream URL: http://github.com/ActiveState/appdirs
Owners: ignatenkobrain paragn
Branches: f22 f23

Comment 11 Gwyn Ciesla 2015-07-27 19:12:17 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-07-27 21:38:17 UTC
python-appdirs-1.4.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-appdirs-1.4.0-2.fc22

Comment 13 Parag AN(पराग) 2015-07-28 01:15:50 UTC
Thank you both for helping to quickly get this package in Fedora. Now I am looking for someone to review my package request bug 1247177. Can anyone of you help by reviewing that package?

Thanks.

Comment 14 Fedora Update System 2015-07-30 00:50:30 UTC
python-appdirs-1.4.0-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 15 Fedora Update System 2015-08-26 17:49:59 UTC
python-appdirs-1.4.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.